
public class Class461_Sub5 extends Class461 {

   Class326 aClass326_7979 = new Class326(Float.NaN, Float.NaN, Float.NaN);
   Class326 aClass326_7980 = new Class326(Float.NaN, Float.NaN, Float.NaN);
   Class326 aClass326_7981 = new Class326();
   static Class179 aClass179_7982;


   public boolean method7770(byte var1) {
      return !Float.isNaN(this.aClass326_7980.aFloat4036);
   }

   public void method12803(Class225_Sub29 var1, short var2) {
      this.aClass326_7979.aFloat4036 = (float)(211814995 * var1.anInt8647);
      this.aClass326_7979.aFloat4037 = (float)(299225249 * var1.anInt8649);
      this.aClass326_7979.aFloat4033 = (float)(-1257680269 * var1.anInt8648);
      if(Float.isNaN(this.aClass326_7980.aFloat4036)) {
         if(var2 == 256) {
            ;
         }

         this.aClass326_7980.method5894(this.aClass326_7979);
         this.aClass326_7981.method5875();
      }

   }

   public void method7772(float var1, byte var2) {
      this.aClass35_5731.method884(false, var1, this.aClass326_7980, this.aClass35_5731.method988(-319287676), this.aClass326_7979, this.aClass326_7981, -1114716378);
   }

   public Class326 method7776() {
      return Class326.method5922(this.aClass326_7980);
   }

   public void method7775(Class31 var1, Class328 var2, int var3, int var4, byte var5) {
      Class326 var6 = Class326.method5922(this.aClass35_5731.method915((byte)-43));
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      Class326 var7 = Class326.method5922(this.aClass326_7980);
      var7.aFloat4036 -= (float)var3;
      var7.aFloat4033 -= (float)var4;
      var7.aFloat4037 *= -1.0F;
      var2.method5992(var6.aFloat4036, var6.aFloat4037, var6.aFloat4033, var7.aFloat4036, var7.aFloat4037, var7.aFloat4033, 0.0F, 1.0F, 0.0F);
      var6.method5948();
      var7.method5948();
   }

   public Class326 method7771(int var1) {
      return Class326.method5922(this.aClass326_7980);
   }

   public void method7773(RS2Buffer var1, int var2) {
      this.aClass326_7979.method5872(var1);
   }

   public void method12804(Class225_Sub29 var1) {
      this.aClass326_7979.aFloat4036 = (float)(211814995 * var1.anInt8647);
      this.aClass326_7979.aFloat4037 = (float)(299225249 * var1.anInt8649);
      this.aClass326_7979.aFloat4033 = (float)(-1257680269 * var1.anInt8648);
      if(Float.isNaN(this.aClass326_7980.aFloat4036)) {
         this.aClass326_7980.method5894(this.aClass326_7979);
         this.aClass326_7981.method5875();
      }

   }

   public void method12805(Class225_Sub29 var1) {
      this.aClass326_7979.aFloat4036 = (float)(211814995 * var1.anInt8647);
      this.aClass326_7979.aFloat4037 = (float)(299225249 * var1.anInt8649);
      this.aClass326_7979.aFloat4033 = (float)(-1257680269 * var1.anInt8648);
      if(Float.isNaN(this.aClass326_7980.aFloat4036)) {
         this.aClass326_7980.method5894(this.aClass326_7979);
         this.aClass326_7981.method5875();
      }

   }

   public void method12806(Class225_Sub29 var1) {
      this.aClass326_7979.aFloat4036 = (float)(211814995 * var1.anInt8647);
      this.aClass326_7979.aFloat4037 = (float)(299225249 * var1.anInt8649);
      this.aClass326_7979.aFloat4033 = (float)(-1257680269 * var1.anInt8648);
      if(Float.isNaN(this.aClass326_7980.aFloat4036)) {
         this.aClass326_7980.method5894(this.aClass326_7979);
         this.aClass326_7981.method5875();
      }

   }

   public Class461_Sub5(Class35 var1) {
      super(var1);
   }

   public boolean method7769() {
      return !Float.isNaN(this.aClass326_7980.aFloat4036);
   }

   public void method7768(Class31 var1, Class328 var2, int var3, int var4) {
      Class326 var5 = Class326.method5922(this.aClass35_5731.method915((byte)-36));
      var5.aFloat4036 -= (float)var3;
      var5.aFloat4033 -= (float)var4;
      var5.aFloat4037 *= -1.0F;
      Class326 var6 = Class326.method5922(this.aClass326_7980);
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      var2.method5992(var5.aFloat4036, var5.aFloat4037, var5.aFloat4033, var6.aFloat4036, var6.aFloat4037, var6.aFloat4033, 0.0F, 1.0F, 0.0F);
      var5.method5948();
      var6.method5948();
   }

   public void method7777(Class31 var1, Class328 var2, int var3, int var4) {
      Class326 var5 = Class326.method5922(this.aClass35_5731.method915((byte)-73));
      var5.aFloat4036 -= (float)var3;
      var5.aFloat4033 -= (float)var4;
      var5.aFloat4037 *= -1.0F;
      Class326 var6 = Class326.method5922(this.aClass326_7980);
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      var2.method5992(var5.aFloat4036, var5.aFloat4037, var5.aFloat4033, var6.aFloat4036, var6.aFloat4037, var6.aFloat4033, 0.0F, 1.0F, 0.0F);
      var5.method5948();
      var6.method5948();
   }

   public Class326 method7779() {
      return Class326.method5922(this.aClass326_7980);
   }

   public Class326 method7780() {
      return Class326.method5922(this.aClass326_7980);
   }

   public Class326 method7778() {
      return Class326.method5922(this.aClass326_7980);
   }

   public void method7781(RS2Buffer var1) {
      this.aClass326_7979.method5872(var1);
   }

   public void method7774(float var1) {
      this.aClass35_5731.method884(false, var1, this.aClass326_7980, this.aClass35_5731.method988(-1600090868), this.aClass326_7979, this.aClass326_7981, -1114716378);
   }
}
